## libpsm2 11.2.78

=== opa/Makefile ===
#
#  This file is provided under a dual BSD/GPLv2 license.  When using or
#  redistributing this file, you may do so under either license.
#
#  GPL LICENSE SUMMARY
#
#  Copyright(c) 2015 Intel Corporation.
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of version 2 of the GNU General Public License as
#  published by the Free Software Foundation.
#
#  This program is distributed in the hope that it will be useful, but
#  WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
#  General Public License for more details.
#
#  Contact Information:
#  Intel Corporation, www.intel.com
#
#  BSD LICENSE
#
#  Copyright(c) 2015 Intel Corporation.
#
#  Redistribution and use in source and binary forms, with or without
#  modification, are permitted provided that the following conditions
#  are met:
#
#    * Redistributions of source code must retain the above copyright
#      notice, this list of conditions and the following disclaimer.
#    * Redistributions in binary form must reproduce the above copyright
#      notice, this list of conditions and the following disclaimer in
#      the documentation and/or other materials provided with the
#      distribution.
#    * Neither the name of Intel Corporation nor the names of its
#      contributors may be used to endorse or promote products derived
#      from this software without specific prior written permission.
#
#  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
#  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
#  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
#  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
#  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
#  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
#  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
#  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
#  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
#  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
#  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#
#  Copyright (c) 2003-2014 Intel Corporation. All rights reserved.
#

OUTDIR = .

TARGLIB := libopa
MAJOR := $(OPA_LIB_MAJOR)
MINOR := $(OPA_LIB_MINOR)

this_srcdir := $(shell readlink -m .)
top_srcdir := $(this_srcdir)/..

INCLUDES += -I$(top_srcdir) -I$(top_srcdir)/ptl_ips
ifeq (${arch},x86_64)
	PLATFORM_OBJ=opa_dwordcpy-x86_64-fast.o
else
	PLATFORM_OBJ=
endif

ifeq (icc,${CC})
	ifeq ($(PSM_DISABLE_AVX2),)
		BASECFLAGS := $(filter-out -xATOM_SSE4.2,$(BASECFLAGS))
		BASECFLAGS += -march=core-avx2
	endif
endif

${TARGLIB}-objs := opa_debug.o opa_time.o \
	opa_service.o opa_utils.o \
	opa_dwordcpy-$(arch).o opa_sysfs.o opa_syslog.o \
	$(PLATFORM_OBJ)

${TARGLIB}-objs := $(patsubst %.o, $(OUTDIR)/%.o, ${${TARGLIB}-objs})
DEPS := $(${TARGLIB}-objs:.o=.d)

.PHONY: all clean
IGNORE_DEP_TARGETS = clean

all .DEFAULT: ${${TARGLIB}-objs}

install: all
	@echo "Nothing to do for install."

$(OUTDIR)/%.d:  $(this_srcdir)/%.c
	$(CC) $(CFLAGS) $(BASECFLAGS) $(INCLUDES) $< -MM -MF $@ -MQ $(@:.d=.o)

$(OUTDIR)/%.d:  $(this_srcdir)/%.S
	$(CC) $(CFLAGS) $(BASECFLAGS) $(INCLUDES) $< -MM -MF $@ -MQ $(@:.d=.o)

$(OUTDIR)/%.o: $(this_srcdir)/%.c | ${DEPS}
	$(CC) $(CFLAGS) $(BASECFLAGS) $(INCLUDES) -c $< -o $@

$(OUTDIR)/%.o: $(this_srcdir)/%.S | ${DEPS}
	$(CC) $(ASFLAGS) -c $< -o $@

clean:
	@rm -f $(OUTDIR)/_revision.c
	@if [ -d $(OUTDIR) ]; then \
		cd $(OUTDIR); \
		rm -f *.o *.d *.gcda *.gcno ${TARGLIB}.*; \
		cd -; \
	fi


#ifeq prevents the deps from being included during clean
#-include line is required to pull in auto-dependecies during 2nd pass
ifeq ($(filter $(IGNORE_DEP_TARGETS), $(MAKECMDGOALS)),)
-include ${DEPS}
endif

=== ptl_am/Makefile ===
#
#  This file is provided under a dual BSD/GPLv2 license.  When using or
#  redistributing this file, you may do so under either license.
#
#  GPL LICENSE SUMMARY
#
#  Copyright(c) 2015 Intel Corporation.
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of version 2 of the GNU General Public License as
#  published by the Free Software Foundation.
#
#  This program is distributed in the hope that it will be useful, but
#  WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
#  General Public License for more details.
#
#  Contact Information:
#  Intel Corporation, www.intel.com
#
#  BSD LICENSE
#
#  Copyright(c) 2015 Intel Corporation.
#
#  Redistribution and use in source and binary forms, with or without
#  modification, are permitted provided that the following conditions
#  are met:
#
#    * Redistributions of source code must retain the above copyright
#      notice, this list of conditions and the following disclaimer.
#    * Redistributions in binary form must reproduce the above copyright
#      notice, this list of conditions and the following disclaimer in
#      the documentation and/or other materials provided with the
#      distribution.
#    * Neither the name of Intel Corporation nor the names of its
#      contributors may be used to endorse or promote products derived
#      from this software without specific prior written permission.
#
#  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
#  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
#  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
#  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
#  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
#  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
#  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
#  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
#  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
#  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
#  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#
#  Copyright (c) 2003-2014 Intel Corporation. All rights reserved.
#

OUTDIR = .

this_srcdir := $(shell readlink -m .)
top_srcdir := $(this_srcdir)/..

INCLUDES += -I$(top_srcdir)

${TARGLIB}-objs := am_reqrep.o am_reqrep_shmem.o ptl.o cmarwu.o
${TARGLIB}-objs := $(patsubst %.o, $(OUTDIR)/%.o, ${${TARGLIB}-objs})

DEPS := $(${TARGLIB}-objs:.o=.d)

.PHONY: all clean
IGNORE_DEP_TARGETS = clean

all .DEFAULT: ${${TARGLIB}-objs}

$(OUTDIR)/%.d: $(this_srcdir)/%.c
	$(CC) $(CFLAGS) $(BASECFLAGS) $(INCLUDES) $< -MM -MF $@ -MQ $(@:.d=.o)

$(OUTDIR)/%.o: $(this_srcdir)/%.c | ${DEPS}
	$(CC) $(CFLAGS) $(BASECFLAGS) $(INCLUDES) -c $< -o $@

clean:
	@if [ -d $(OUTDIR) ]; then \
		cd $(OUTDIR); \
		rm -f *.o *.d *.gcda *.gcno; \
		cd -; \
	fi

#ifeq prevents the deps from being included during clean
#-include line is required to pull in auto-dependecies during 2nd pass
ifeq ($(filter $(IGNORE_DEP_TARGETS), $(MAKECMDGOALS)),)
-include ${DEPS}
endif

install:
	@echo "Nothing to do for install."

## libpsm2 10.3.58

=== debian/changelog ===
libpsm2 (10.3.58-1) unstable; urgency=medium

  [ Brian T. Smith ]
  * New upstream version 10.3.58.
  * Update Standards-Version to 4.1.4.

  [ Roland Fehrenbacher ]
  * Update to debhelper compat 11
  * Readd lintian override for libpsm2-2-compat
    maintainer-script-should-not-use-update-alternatives-remove

 -- Brian T. Smith <bsmith@systemfabricworks.com>  Thu, 14 Jun 2018 16:29:02 -0500

libpsm2 (10.3-37-1) unstable; urgency=medium

  * Initial release. (Closes: #862313)

 -- Brian T. Smith <bsmith@systemfabricworks.com>  Thu, 07 Dec 2017 12:33:43 -0600

=== debian/control ===
Source: libpsm2
Maintainer: Debian HPC team <debian-hpc@lists.debian.org>
Uploaders: Brian T. Smith <bsmith@systemfabricworks.com>,
           Roland Fehrenbacher <rfehren@debian.org>,
Section: libs
Priority: optional
Standards-Version: 4.1.4
Vcs-Git: https://salsa.debian.org/hpc-team/libpsm2.git
Vcs-Browser: https://salsa.debian.org/hpc-team/libpsm2
Homepage: https://github.com/01org/opa-psm2
Build-Depends: debhelper (>= 11),
               libnuma-dev,

Package: libpsm2-2
Architecture: amd64
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: Intel PSM2 library
 PSM2 is Intel's low-level user-space communications interface for
 the Intel(R) OPA family of products. PSM2 users are enabled with
 mechanisms necessary to implement higher level communications
 interfaces in parallel environments.

Package: libpsm2-2-compat
Architecture: amd64
Depends: libpsm2-2 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Compat library for Intel PSM2
 PSM compatibility API is Intel's low-level user-space communications
 interface for the Intel(R) TrueScale family of products. This library
 adds support for MPIs linked with PSM versions < 2.

Package: libpsm2-dev
Architecture: amd64
Section: libdevel
Depends: libpsm2-2 (= ${binary:Version}),
         ${misc:Depends},
Description: Development files for Intel PSM2 library
 PSM2 is Intel's low-level user-space communications interface for
 the Intel(R) OPA family of products. PSM2 users are enabled with
 mechanisms necessary to implement higher level communications
 interfaces in parallel environments. This package contains the
 development headers for Intel PSM2 library.

## libpsm2 11.2.78

=== debian/changelog ===
libpsm2 (11.2.78-1) unstable; urgency=medium

  * New upstream version 11.2.78.
  * New Standards-Version 4.3.0. No changes required.

 -- Brian T. Smith <bsmith@systemfabricworks.com>  Sat, 09 Feb 2019 16:57:54 -0600

libpsm2 (11.2.68-4) unstable; urgency=medium

  * Use upstream patch instead of timeout workaround added in
    11.2.68-2 and 11.2.68-3.

 -- Brian T. Smith <bsmith@systemfabricworks.com>  Fri, 30 Nov 2018 13:24:54 -0600

libpsm2 (11.2.68-3) unstable; urgency=medium

  * Change PSM2_INIT_WAIT_FOR_DEVICES environment var to PSM2_HAL_INIT_RETRY.
  * Use psmi_getenv to access PSM2_HAL_INIT_RETRY environment var.

 -- Brian T. Smith <bsmith@systemfabricworks.com>  Wed, 07 Nov 2018 14:11:02 -0600

libpsm2 (11.2.68-2) unstable; urgency=medium

  * Correct hang in psm2_init() when there is no hfi1 device
    present. (Closes: #910485)

 -- Brian T. Smith <bsmith@systemfabricworks.com>  Fri, 02 Nov 2018 16:26:42 -0500

libpsm2 (11.2.68-1) unstable; urgency=medium

  * New upstream version 11.2.68.
  * Update Standards-Version to 4.2.1. No changes required.

 -- Brian T. Smith <bsmith@systemfabricworks.com>  Sat, 29 Sep 2018 15:29:21 -0500

libpsm2 (10.3.58-2) unstable; urgency=medium

  * Fix gcc8 truncation error. (Closes: #906485)
  * Update Standards-Version to 4.2.0.1. No changes required.

 -- Brian T. Smith <bsmith@systemfabricworks.com>  Fri, 17 Aug 2018 17:31:09 -0500

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
            Roland Fehrenbacher <rfehren@debian.org>,
 Section: libs
 Priority: optional
-Standards-Version: 4.1.4
+Standards-Version: 4.3.0
 Vcs-Git: https://salsa.debian.org/hpc-team/libpsm2.git
 Vcs-Browser: https://salsa.debian.org/hpc-team/libpsm2
 Homepage: https://github.com/01org/opa-psm2

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-

export DEB_BUILD_MAINT_OPTIONS=hardening=+all,-pie
LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH)
DESTDIR=$$PWD/debian/tmp

PSM_LIB_MAJOR := $(shell printf "%d" `sed -n 's/^\#define.*PSM2_VERNO_COMPAT_MAJOR.*0x0\?\([1-9a-f]\?[0-9a-f]\+\).*/\1/p' $(CURDIR)/psm2.h`)
PSM_LIB_VERSION := $(PSM_LIB_MAJOR)

MAINT_SCRIPTS=debian/libpsm2-2-compat.postinst \
	debian/libpsm2-2-compat.prerm \
	debian/libpsm2-2-compat.postrm

%:
	dh $@

debian/%.postinst: debian/%.postinst.in
	sed -e 's/@DEB_HOST_MULTIARCH@/$(DEB_HOST_MULTIARCH)/g' 	\
		-e 's/@PSM_LIB_VERSION@/$(PSM_LIB_VERSION)/g'		\
		-e 's/@PSM_LIB_MAJOR@/$(PSM_LIB_MAJOR)/g'		\
		$< > $@

debian/%.prerm: debian/%.prerm.in
	sed	-e 's/@DEB_HOST_MULTIARCH@/$(DEB_HOST_MULTIARCH)/g'	\
		-e 's/@PSM_LIB_VERSION@/$(PSM_LIB_VERSION)/g'		\
		-e 's/@PSM_LIB_MAJOR@/$(PSM_LIB_MAJOR)/g'		\
		$< > $@

debian/%.postrm: debian/%.postrm.in
	sed	-e 's/@DEB_HOST_MULTIARCH@/$(DEB_HOST_MULTIARCH)/g'	\
		-e 's/@PSM_LIB_VERSION@/$(PSM_LIB_VERSION)/g'		\
		-e 's/@PSM_LIB_MAJOR@/$(PSM_LIB_MAJOR)/g'		\
		$< > $@

.PHONY: override_dh_auto_build
override_dh_auto_build: $(MAINT_SCRIPTS)
	dh_auto_build

.PHONY: override_dh_installdocs
override_dh_installdocs:
	dh_installdocs --link-doc=libpsm2-2

.PHONY: override_dh_auto_clean
override_dh_auto_clean:
	dh_auto_clean
	rm -f $(MAINT_SCRIPTS)

.PHONY: override_dh_auto_install
override_dh_auto_install:
	dh_auto_install -- DESTDIR=$(DESTDIR) LIBDIR=$(LIBDIR)
	mv $(DESTDIR)/usr/lib/libpsm2 $(DESTDIR)/usr/lib/libpsm2-2
	mv $(DESTDIR)/$(LIBDIR)/psm2-compat/libpsm_infinipath.so.* $(DESTDIR)/usr/lib/libpsm2-2/
	sed -i 's~/libpsm2/~/libpsm2-2/~g' $(DESTDIR)/etc/modprobe.d/libpsm2-compat.conf
	rmdir $(DESTDIR)/$(LIBDIR)/psm2-compat/

# libpsm2-2 contains the compatibility library. Don't process it for dependencies.
.PHONY: override_dh_makeshlibs
override_dh_makeshlibs:
	dh_makeshlibs -X$/usr/lib/libpsm2-2

## libpsm2 11.2.86

=== perf_test/Makefile ===
#
#  This file is provided under a dual BSD/GPLv2 license.  When using or
#  redistributing this file, you may do so under either license.
#
#  GPL LICENSE SUMMARY
#
#  Copyright(c) 2018 Intel Corporation.
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of version 2 of the GNU General Public License as
#  published by the Free Software Foundation.
#
#  This program is distributed in the hope that it will be useful, but
#  WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
#  General Public License for more details.
#
#  Contact Information:
#  Intel Corporation, www.intel.com
#
#  BSD LICENSE
#
#  Copyright(c) 2018 Intel Corporation.
#
#  Redistribution and use in source and binary forms, with or without
#  modification, are permitted provided that the following conditions
#  are met:
#
#    * Redistributions of source code must retain the above copyright
#      notice, this list of conditions and the following disclaimer.
#    * Redistributions in binary form must reproduce the above copyright
#      notice, this list of conditions and the following disclaimer in
#      the documentation and/or other materials provided with the
#      distribution.
#    * Neither the name of Intel Corporation nor the names of its
#      contributors may be used to endorse or promote products derived
#      from this software without specific prior written permission.
#
#  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
#  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
#  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
#  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
#  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
#  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
#  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
#  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
#  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
#  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
#  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

CFLAGS+=-Wall -g -I.
LIBS=-lpsm2

SRC=$(wildcard *.c)
OBJS=$(patsubst %.c, %.o, $(SRC))
MAIN_SRC=latency.o bi-bw-mrate.o bw-mrate.o
BIN_OBJS=$(filter-out $(MAIN_SRC), $(OBJS))

all: latency bw-mrate bi-bw-mrate
latency: $(BIN_OBJS) latency.o
	$(CC) $(CFLAGS) $(LIBS) -o latency latency.c $(BIN_OBJS)
bw-mrate: $(BIN_OBJS) bw-mrate.o
	$(CC) $(CFLAGS) $(LIBS) -o bw-mrate bw-mrate.c $(BIN_OBJS)
bi-bw-mrate: $(BIN_OBJS) bi-bw-mrate.o
	$(CC) $(CFLAGS) $(LIBS) -o bi-bw-mrate bi-bw-mrate.c $(BIN_OBJS)

$(OBJS): %.o : %.c
	$(CC) $(CFLAGS) -c $< $(LIBS)

clean:
	rm -f *.o bi-bw-mrate bw-mrate latency

=== debian/changelog ===
libpsm2 (11.2.86-1) unstable; urgency=medium

  * New upstream version 11.2.86.
  * New Standards-Version 4.4.1. No changes required.

 -- Brian T. Smith <bsmith@systemfabricworks.com>  Mon, 07 Oct 2019 21:16:49 -0500

libpsm2 (11.2.78-2) unstable; urgency=medium

  * New Standards-Version 4.4.0. No changes required.
  * Specify Build-Depends debhelper >= 12 in d/control.
  * Ignore library-not-linked-against-libc for libpsm2-2-compat.
  * Specify Build-Depends-Package: libpsm2-dev in d/libpsm2-2.symbols.

 -- Brian T. Smith <bsmith@systemfabricworks.com>  Fri, 06 Sep 2019 12:32:31 -0500

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,11 @@
            Roland Fehrenbacher <rfehren@debian.org>,
 Section: libs
 Priority: optional
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Vcs-Git: https://salsa.debian.org/hpc-team/libpsm2.git
 Vcs-Browser: https://salsa.debian.org/hpc-team/libpsm2
 Homepage: https://github.com/01org/opa-psm2
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper (>= 12),
                libnuma-dev,
 
 Package: libpsm2-2

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all,-pie
 LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH)
-DESTDIR=$$PWD/debian/tmp
+DESTDIR=$(CURDIR)/debian/tmp
 
 PSM_LIB_MAJOR := $(shell printf "%d" `sed -n 's/^\#define.*PSM2_VERNO_COMPAT_MAJOR.*0x0\?\([1-9a-f]\?[0-9a-f]\+\).*/\1/p' $(CURDIR)/psm2.h`)
 PSM_LIB_VERSION := $(PSM_LIB_MAJOR)

## libpsm2 11.2.185

=== Makefile ===
#
#  This file is provided under a dual BSD/GPLv2 license.  When using or
#  redistributing this file, you may do so under either license.
#
#  GPL LICENSE SUMMARY
#
#  Copyright(c) 2017 Intel Corporation.
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of version 2 of the GNU General Public License as
#  published by the Free Software Foundation.
#
#  This program is distributed in the hope that it will be useful, but
#  WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
#  General Public License for more details.
#
#  Contact Information:
#  Intel Corporation, www.intel.com
#
#  BSD LICENSE
#
#  Copyright(c) 2017 Intel Corporation.
#
#  Redistribution and use in source and binary forms, with or without
#  modification, are permitted provided that the following conditions
#  are met:
#
#    * Redistributions of source code must retain the above copyright
#      notice, this list of conditions and the following disclaimer.
#    * Redistributions in binary form must reproduce the above copyright
#      notice, this list of conditions and the following disclaimer in
#      the documentation and/or other materials provided with the
#      distribution.
#    * Neither the name of Intel Corporation nor the names of its
#      contributors may be used to endorse or promote products derived
#      from this software without specific prior written permission.
#
#  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
#  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
#  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
#  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
#  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
#  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
#  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
#  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
#  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
#  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
#  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#


HISTORY = .outdirs
HISTORIC_TARGETS = $(patsubst %, %_clean, $(shell cat $(HISTORY) 2> /dev/null))

RPM_NAME := libpsm2
CONFIG_FILE := .config
TEMP_INST_DIR := $(shell mktemp -d)

ifeq ($(CONFIG_FILE), $(wildcard $(CONFIG_FILE)))
include $(CONFIG_FILE)
endif

PSM_HAL_ENABLE ?= *

PSM_HAL_ENABLE_D = $(wildcard $(addprefix psm_hal_,$(PSM_HAL_ENABLE)))

PSM_HAL_INSTANCE_OBJFILES = $(addsuffix /*.o,$(PSM_HAL_ENABLE_D))

SUBDIRS = ptl_self ptl_ips ptl_am libuuid opa ${wildcard $(PSM_HAL_ENABLE_D)}
top_srcdir := $(shell readlink -m .)

# Default locations
OUTDIR := $(top_srcdir)/build_release
MOCK_OUTDIR := $(top_srcdir)/build_mock
DEBUG_OUTDIR := $(top_srcdir)/build_debug

# We need a temporary test variable, as the OUTDIR macro
# can be overriden by the shell and thus not run.
TESTOUTDIR= $(shell readlink -m $(OUTDIR))
ifeq ($(top_srcdir), $(TESTOUTDIR))
$(error OUTDIR cannot be the same as your source folder ${top_srcdir}))
endif

ifeq (/,$(TESTOUTDIR))
$(error OUTDIR cannot be the / folder ))
endif

# Forces any value to be full path.
# We don't need to override MOCK_OUTDIR or DEBUG_OUTDIR
# as they are recursive make invocations and use OUTDIR
ifneq ($(MAKECMDGOALS), mock)
ifneq ($(MAKECMDGOALS), debug)
override OUTDIR := $(shell readlink -m $(OUTDIR))
endif
endif

PSM2_VERNO_MAJOR := $(shell sed -n 's/^\#define.*PSM2_VERNO_MAJOR.*0x0\?\([1-9a-f]\?[0-9a-f]\+\).*/\1/p' $(top_srcdir)/psm2.h)
PSM2_VERNO_MINOR := $(shell sed -n 's/^\#define.*PSM2_VERNO_MINOR.*0x\([0-9]\?[0-9a-f]\+\).*/\1/p' $(top_srcdir)/psm2.h)
PSM2_LIB_MAJOR   := $(shell printf "%d" ${PSM2_VERNO_MAJOR})
PSM2_LIB_MINOR   := $(shell printf "%d" `sed -n 's/^\#define.*PSM2_VERNO_MINOR.*\(0x[0-9a-f]\+\).*/\1/p' $(top_srcdir)/psm2.h`)
LINKER_SCRIPT_FILE = ${OUTDIR}/psm2_linker_script.map
SOURCES_CHKSUM_FILES = Makefile buildflags.mak $(LINKER_SCRIPT_FILE) \
		`find . -regex '\(.*\.h\|.*\.c\)' -not -path "./test/*" -not -path "./tools/*" -not -path "_revision.c" | sort`
SOURCES_CHKSUM_VALUE = $(shell cat ${SOURCES_CHKSUM_FILES} | sha1sum | cut -d' ' -f 1)
OPA_LIB_MAJOR := 4
OPA_LIB_MINOR := 0

export PSM2_VERNO_MAJOR
export PSM2_LIB_MAJOR
export PSM2_VERNO_MINOR
export PSM2_LIB_MINOR
export OPA_LIB_MAJOR
export OPA_LIB_MINOR
export CCARCH ?= gcc
export FCARCH ?= gfortran
export AR ?= ar

include $(top_srcdir)/buildflags.mak

# We need to unexport these environs as during mock testing and normal calls,
# if they are exported then during each submake they will be evaulated again.
# This is costly and the LINKER_SCRIPT_FILE doesn't exist until after its
# target rule runs.
unexport SOURCES_CHKSUM_FILES
unexport SOURCES_CHKSUM_VALUE
unexport LINKER_SCRIPT_FILE
INCLUDES += -I$(top_srcdir) -I$(top_srcdir)/ptl_ips -I$(OUTDIR)

ifneq (x86_64,$(arch))
   ifneq (i386,$(arch))
      $(error Unsupported architecture $(arch))
   endif
endif

ifndef LIBDIR
   ifeq (${arch},x86_64)
      INSTALL_LIB_TARG=/usr/lib64
   else
      INSTALL_LIB_TARG=/usr/lib
   endif
else
   INSTALL_LIB_TARG=${LIBDIR}
endif
export DESTDIR
export INSTALL_LIB_TARG

TARGLIB := libpsm2
COMPATMAJOR := $(shell sed -n 's/^\#define.*PSM2_VERNO_COMPAT_MAJOR.*0x0\?\([1-9a-f]\?[0-9a-f]\+\).*/\1/p' \
			 $(top_srcdir)/psm2.h)
COMPATLIB := libpsm_infinipath

MAJOR := $(PSM2_LIB_MAJOR)
MINOR := $(PSM2_LIB_MINOR)

nthreads := $(shell echo $$(( `nproc` * 2 )) )

# The following line sets the DISTRO variable to:
#  'rhel' if the host is running RHEL.
#  'suse' if the host is running SUSE.
#  'fedora' if the host is running Fedora.
#  'ubuntu' if the host is running Ubuntu.
#
# The DISTRO variable is used subsequently for variable
# behaviors of the 3 distros.

DISTRO := $(shell . /etc/os-release; if [[ "$$ID" == "sle_hpc" ]]; then ID="sles"; fi; echo $$ID)

# By default the following two variables have the following values:
LIBPSM2_COMPAT_CONF_DIR := /etc
LIBPSM2_COMPAT_SYM_CONF_DIR := /etc
# We can't set SPEC_FILE_RELEASE_DIST to an empty value, a space will result.
# It then messes up sed operations for PSM_CUDA=1.
# So leaving the commented out line here as documentation to NOT set it.
# SPEC_FILE_RELEASE_DIST :=
UDEV_40_PSM_RULES := %{_udevrulesdir}/40-psm.rules

ifeq (fedora,$(DISTRO))
	# On Fedora, we change these two variables to these values:
	LIBPSM2_COMPAT_CONF_DIR := /usr/lib
	LIBPSM2_COMPAT_SYM_CONF_DIR := %{_prefix}/lib
	SPEC_FILE_RELEASE_DIST := %{?dist}
	UDEV_40_PSM_RULES :=#
else ifeq (rhel,${DISTRO})
	# Insert code specific to RHEL here.
else ifeq (sles,${DISTRO})
	# Insert code specific to SLES here.
endif

ifdef PSM_CUDA
#Value needs to be something without spaces or dashes '-'
SPEC_FILE_RELEASE_DIST += cuda
endif

export 	LIBPSM2_COMPAT_CONF_DIR

# The desired version number comes from the most recent tag starting with "v"
ifeq (true, $(shell git rev-parse --is-inside-work-tree 2>/dev/null))
ISGIT := 1 # Cache the result for later
# Note, we don't define ISGIT if we are not in a git folder
VERSION := $(shell git describe --tags --abbrev=0 --match='psm-v*' | sed -e 's/^psm-v//' -e 's/-/_/')
else
ISGIT := 0
VERSION := version
endif

# If we have a file called 'rpm_release_extension' (as on github),
# we take the release extension number from this file
RELEASE_EXT := $(shell if [ -e rpm_release_extension ] ;\
                       then cat rpm_release_extension; fi)
CURRENTSHA := $(shell if [ $(ISGIT) = 1 -a -f rpm_release_extension ] ;\
                      then git log --pretty=format:'%h' -n 1; fi)
RPMEXTHASH := $(shell if [ $(ISGIT) = 1 -a -f rpm_release_extension ] ;\
                      then git log --pretty=format:'%h' -n 1 rpm_release_extension; fi)

# This logic should kick-in only on github
ifdef RELEASE_EXT
ifneq ($(CURRENTSHA), $(RPMEXTHASH))
# On github, the last commit for each release should be the one to bump up
# the release extension number in 'rpm_release_extension'. Further commits
# are counted here and appended to the final rpm name to distinguish commits
# present only on github
NCOMMITS := $(shell if [ $(ISGIT) = 1 -a -f rpm_release_extension ] ;\
                    then git log --children $(RPMEXTHASH)..$(CURRENTSHA) \
                    --pretty=oneline . | wc -l; fi)
RELEASE := $(RELEASE_EXT)_$(NCOMMITS)
endif
endif

# The desired release number comes the git describe following the version which
# is the number of commits since the version tag was planted suffixed by the g<commitid>
ifndef RELEASE
RELTAG := "psm-v$(VERSION)"
RELEASE := $(shell if [ -f rpm_release_extension ]; then cat rpm_release_extension;\
		   elif [ $(ISGIT) = 1 ] ; then git rev-list $(RELTAG)..HEAD -- . | wc -l; \
		   else echo "release" ; fi)
endif

DIST_SHA := ${shell if [ $(ISGIT) = 1 ] ; then git log -n1 --pretty=format:%H .; \
		else echo DIST_SHA ; fi}

# Concatenated version and release
ifndef VERSION_RELEASE_OVERRIDE
VERSION_RELEASE := $(VERSION).$(RELEASE)
else
VERSION_RELEASE := ${VERSION_RELEASE_OVERRIDE}
endif

LDLIBS := -lrt -ldl -lnuma ${EXTRA_LIBS} -pthread

PKG_CONFIG ?= pkg-config

UDEVDIR := $(shell $(PKG_CONFIG) --variable=udevdir udev 2>/dev/null)
ifndef UDEVDIR
	UDEVDIR = /lib/udev
endif

export UDEVDIR

# The DIST variable is a name kernel corresponding to:
# 1. The name of the directory containing the source code distribution
#    (see dist: target below).
# 2. The basename of the filename of the tar file created in the dist:
#    target.
DIST := ${RPM_NAME}-${VERSION_RELEASE}

# If user has empty RPM NAME BASEEXT (defined or not), then attempt to
# see if we are running on SLES 12.3 or newer.
# If we are, then change the base package name, but not the supporting
# packages to libpsm2-2. Do note this requires support both in the Makefile
# specfile target rule as well as changes in the libpsm2.spec.in
# file as well.
ifeq ($(RPM_NAME_BASEEXT),)
# Detect current version of the OS
OS := $(shell grep -m1 NAME /etc/os-release | cut -f 2 -d\")
OSVERSION := $(shell grep VERSION_ID /etc/os-release | cut -f 2 -d\" | cut -f 1 -d.)
OSSUBVERSION := $(shell grep VERSION_ID /etc/os-release | cut -f 2 -d\" | cut -f 2 -d.)

override RPM_NAME_BASEEXT := $(shell \
    if [ "$(OS)" = "SLES" -o "$(OS)" = "SLE_HPC" ]; then \
       if [ $(OSVERSION) -gt 11 ]; then \
          if [ $(OSVERSION) -eq 12 ]; then \
             if [ $(OSSUBVERSION) -gt 2 ]; then \
                echo "-2"; \
             fi \
          else \
             echo "-2"; \
          fi \
       fi \
    fi)
endif

HALDECLFILE=$(OUTDIR)/psm2_hal_inlines_d.h
HALIMPLFILE=$(OUTDIR)/psm2_hal_inlines_i.h

all: symlinks $(HALDECLFILE) $(HALIMPLFILE) | $(OUTDIR)
	@if [ ! -e $(HISTORY) ] || [ -z "`grep -E '^$(OUTDIR)$$' $(HISTORY)`" ]; then \
		echo $(OUTDIR) >> $(HISTORY); \
	fi
	# Our buildflags.mak exports all variables, all are propogated to submakes.
	@for subdir in $(SUBDIRS); do \
		mkdir -p $(OUTDIR)/$$subdir; \
		$(MAKE) -j $(nthreads) -C $$subdir OUTDIR=$(OUTDIR)/$$subdir; \
		if [ $$? -ne 0 ]; then exit 1; fi ;\
	done
	$(MAKE) -j $(nthreads) $(OUTDIR)/${TARGLIB}.so
	$(MAKE) -j $(nthreads) $(OUTDIR)/${TARGLIB}.a
	@mkdir -p $(OUTDIR)/compat
	$(MAKE) -j $(nthreads) -C compat OUTDIR=$(OUTDIR)/compat

$(HALDECLFILE): | $(OUTDIR)
	@test -f $(HALDECLFILE) || ( \
		n_hal_insts=$(words $(wildcard $(PSM_HAL_ENABLE_D)));\
		echo "#define PSMI_HAL_INST_CNT $$n_hal_insts"                > $(HALDECLFILE);\
		if [ $$n_hal_insts -eq 1 ]; then					       \
		    echo "#define PSMI_HAL_INLINE inline"                    >> $(HALDECLFILE);\
		    hal_inst_dir=$(PSM_HAL_ENABLE_D);					       \
		    echo "#define PSMI_HAL_CAT_INL_SYM(KERNEL) hfp_$(subst psm_hal_,,$(PSM_HAL_ENABLE_D))"	       \
				"## _ ## KERNEL"			     >> $(HALDECLFILE);\
		    echo "#include \"psm2_hal_inline_t.h\""		     >> $(HALDECLFILE);\
		else									       \

=== libuuid/Makefile ===
#
#  This file is provided under a dual BSD/GPLv2 license.  When using or
#  redistributing this file, you may do so under either license.
#
#  GPL LICENSE SUMMARY
#
#  Copyright(c) 2015 Intel Corporation.
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of version 2 of the GNU General Public License as
#  published by the Free Software Foundation.
#
#  This program is distributed in the hope that it will be useful, but
#  WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
#  General Public License for more details.
#
#  Contact Information:
#  Intel Corporation, www.intel.com
#
#  BSD LICENSE
#
#  Copyright(c) 2015 Intel Corporation.
#
#  Redistribution and use in source and binary forms, with or without
#  modification, are permitted provided that the following conditions
#  are met:
#
#    * Redistributions of source code must retain the above copyright
#      notice, this list of conditions and the following disclaimer.
#    * Redistributions in binary form must reproduce the above copyright
#      notice, this list of conditions and the following disclaimer in
#      the documentation and/or other materials provided with the
#      distribution.
#    * Neither the name of Intel Corporation nor the names of its
#      contributors may be used to endorse or promote products derived
#      from this software without specific prior written permission.
#
#  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
#  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
#  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
#  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
#  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
#  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
#  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
#  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
#  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
#  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
#  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#
#  Copyright (c) 2003-2014 Intel Corporation. All rights reserved.
#

OUTDIR = .

this_srcdir := $(shell readlink -m .)
top_srcdir := $(this_srcdir)/..
BASECFLAGS += -DPSM_UUID=1 -Wno-unused-function
INCLUDES += -I$(top_srcdir)

${TARGLIB}-objs := psm_uuid.o parse.o pack.o unpack.o unparse.o
${TARGLIB}-objs := $(patsubst %.o, $(OUTDIR)/%.o, ${${TARGLIB}-objs})

DEPS := $(${TARGLIB}-objs:.o=.d)

.PHONY: all clean
IGNORE_DEP_TARGETS = clean

all .DEFAULT: ${${TARGLIB}-objs}

$(OUTDIR)/%.d: $(this_srcdir)/%.c
	$(CC) $(CFLAGS) $(BASECFLAGS) $(INCLUDES) $< -MM -MF $@ -MQ $(@:.d=.o)

$(OUTDIR)/%.o: $(this_srcdir)/%.c | ${DEPS}
	$(CC) $(CFLAGS) $(BASECFLAGS) $(INCLUDES) -c $< -o $@

clean:
	@if [ -d $(OUTDIR) ]; then \
		cd $(OUTDIR); \
		rm -f *.o *.d *.gcda *.gcno; \
		cd -; \
	fi

#ifeq prevents the deps from being included during clean
#-include line is required to pull in auto-dependecies during 2nd pass
ifeq ($(filter $(IGNORE_DEP_TARGETS), $(MAKECMDGOALS)),)
-include ${DEPS}
endif

install:
	@echo "Nothing to do for install."

=== ptl_self/Makefile ===
#
#  This file is provided under a dual BSD/GPLv2 license.  When using or
#  redistributing this file, you may do so under either license.
#
#  GPL LICENSE SUMMARY
#
#  Copyright(c) 2015 Intel Corporation.
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of version 2 of the GNU General Public License as
#  published by the Free Software Foundation.
#
#  This program is distributed in the hope that it will be useful, but
#  WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
#  General Public License for more details.
#
#  Contact Information:
#  Intel Corporation, www.intel.com
#
#  BSD LICENSE
#
#  Copyright(c) 2015 Intel Corporation.
#
#  Redistribution and use in source and binary forms, with or without
#  modification, are permitted provided that the following conditions
#  are met:
#
#    * Redistributions of source code must retain the above copyright
#      notice, this list of conditions and the following disclaimer.
#    * Redistributions in binary form must reproduce the above copyright
#      notice, this list of conditions and the following disclaimer in
#      the documentation and/or other materials provided with the
#      distribution.
#    * Neither the name of Intel Corporation nor the names of its
#      contributors may be used to endorse or promote products derived
#      from this software without specific prior written permission.
#
#  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
#  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
#  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
#  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
#  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
#  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
#  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
#  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
#  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
#  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
#  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#
#  Copyright (c) 2003-2014 Intel Corporation. All rights reserved.
#

OUTDIR = .

this_srcdir = $(shell readlink -m .)
top_srcdir := $(this_srcdir)/..
INCLUDES += -I$(top_srcdir)

${TARGLIB}-objs := ptl.o
${TARGLIB}-objs := $(patsubst %.o, $(OUTDIR)/%.o, ${${TARGLIB}-objs})
DEPS := $(${TARGLIB}-objs:.o=.d)

.PHONY: all clean
IGNORE_DEP_TARGETS = clean

all .DEFAULT: ${${TARGLIB}-objs}

$(OUTDIR)/%.d: $(this_srcdir)/%.c
	$(CC) $(CFLAGS) $(BASECFLAGS) $(INCLUDES) $< -MM -MF $@ -MQ $(@:.d=.o)

$(OUTDIR)/%.o: $(this_srcdir)/%.c | ${DEPS}
	$(CC) $(CFLAGS) $(BASECFLAGS) $(INCLUDES) -c $< -o $@

clean:
	@if [ -d $(OUTDIR) ]; then \
		cd $(OUTDIR); \
		rm -f *.o *.d *.gcda *.gcno; \
		cd -; \
	fi

#ifeq prevents the deps from being included during clean
#-include line is required to pull in auto-dependecies during 2nd pass
ifeq ($(filter $(IGNORE_DEP_TARGETS), $(MAKECMDGOALS)),)
-include ${DEPS}
endif

install:
	@echo "Nothing to do for install."

=== debian/changelog ===
libpsm2 (11.2.185-2build1) noble; urgency=high

  * No change rebuild against frame pointers and time_t.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 22 Apr 2024 11:46:53 +0200

libpsm2 (11.2.185-2) unstable; urgency=medium

  * Team upload.
  * Ignore WERROR which is usually anti-pattern for
    distro packages (Closes: #984205)
    - Thanks Michael Hudson-Doyle for the patch!

 -- Nilesh Patra <nilesh@debian.org>  Fri, 14 Oct 2022 08:43:28 +0530

libpsm2 (11.2.185-1) unstable; urgency=medium

  [ Debian Janitor <janitor@jelmer.uk> ]
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Repository, Repository-
    Browse.

  [ Brian T. Smith ]
  * New upstream version 11.2.185.
    This addresses #957468. The owner requested to leave the bug open.
  * Specify Rules-Requires-Root: no in d/control.
  * New Standards-Version 4.5.0. No changes required.
  * Bump debhelper from old 11 to 13.
  * Add Forwarded: not-needed to d/patches/*.patch. Silence lintian
    send-patch.
  * Patch Makefile to remove bashisms.

 -- Brian T. Smith <bsmith@systemfabricworks.com>  Tue, 08 Sep 2020 14:30:19 -0500

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,16 @@
 Source: libpsm2
-Maintainer: Debian HPC team <debian-hpc@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian HPC team <debian-hpc@lists.debian.org>
 Uploaders: Brian T. Smith <bsmith@systemfabricworks.com>,
            Roland Fehrenbacher <rfehren@debian.org>,
 Section: libs
 Priority: optional
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/hpc-team/libpsm2.git
 Vcs-Browser: https://salsa.debian.org/hpc-team/libpsm2
 Homepage: https://github.com/01org/opa-psm2
-Build-Depends: debhelper (>= 12),
+Build-Depends: debhelper-compat (= 13),
                libnuma-dev,
 
 Package: libpsm2-2

=== debian/rules ===
--- 
+++ 
@@ -35,7 +35,7 @@
 
 .PHONY: override_dh_auto_build
 override_dh_auto_build: $(MAINT_SCRIPTS)
-	dh_auto_build
+	dh_auto_build -- WERROR=
 
 .PHONY: override_dh_installdocs
 override_dh_installdocs:
@@ -53,6 +53,7 @@
 	mv $(DESTDIR)/$(LIBDIR)/psm2-compat/libpsm_infinipath.so.* $(DESTDIR)/usr/lib/libpsm2-2/
 	sed -i 's~/libpsm2/~/libpsm2-2/~g' $(DESTDIR)/etc/modprobe.d/libpsm2-compat.conf
 	rmdir $(DESTDIR)/$(LIBDIR)/psm2-compat/
+	rm -f $(DESTDIR)/lib/udev/rules.d/40-psm.rules
 
 # libpsm2-2 contains the compatibility library. Don't process it for dependencies.
 .PHONY: override_dh_makeshlibs
